<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('prl_leave_masters', function (Blueprint $table) {
            $table->increments('LeaveID');
            $table->string('LeaveName',100)->nullable();
            $table->integer('Monthly')->default(0);
            $table->integer('max_leave_day')->default(0);
            $table->integer('cal_bal_leave')->default(0);
            $table->integer('status')->default(0);
            $table->integer('company_id')->default(0);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('prl_leave_masters');
    }
};
